RagTime5TextInternal::BlockCellListParser Struct Referencefinal

Internal: the helper to read a block 2 list. More...

Inheritance diagram for RagTime5TextInternal::BlockCellListParser:

## Public Member Functions

| BlockCellListParser ()
| constructor
| ~BlockCellListParser () final
| destructor
bool | parseData (MWAWInputStreamPtr &input, long endPos, RagTime5Zone &, int, libmwaw::DebugStream &f) final
| try to parse a data
Public Member Functions inherited from RagTime5StructManager::DataParser
| DataParser (std::string const &zoneName)
| constructor
virtual | ~DataParser ()
| destructor
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone
virtual std::string | getZoneName (int n) const
| return the debug name corresponding to a field

## Public Attributes

std::vector< Block > | m_blockList
| the list of block

## Private Member Functions

| BlockCellListParser (BlockCellListParser &orig)=delete
| copy constructor, not implemented
BlockCellListParser & | operator= (BlockCellListParser &orig)=delete
| copy operator, not implemented

## Additional Inherited Members

Protected Attributes inherited from RagTime5StructManager::DataParser
std::string | m_name
| the field name

## Detailed Description

Internal: the helper to read a block 2 list.

## Constructor & Destructor Documentation

## BlockCellListParser() [1/2]

RagTime5TextInternal::BlockCellListParser::BlockCellListParser | ( |  | ) |

inline

constructor

Referenced by BlockCellListParser(), and operator=().

## ~BlockCellListParser()

RagTime5TextInternal::BlockCellListParser::~BlockCellListParser | ( |  | ) |

final

destructor

## BlockCellListParser() [2/2]

RagTime5TextInternal::BlockCellListParser::BlockCellListParser | ( | BlockCellListParser & | orig | ) |

private delete

copy constructor, not implemented

## Member Function Documentation

## operator=()

BlockCellListParser & RagTime5TextInternal::BlockCellListParser::operator= | ( | BlockCellListParser & | orig | ) |

private delete

copy operator, not implemented

## parseData()

bool RagTime5TextInternal::BlockCellListParser::parseData | ( | MWAWInputStreamPtr & | input,
|  | long | endPos,
|  | RagTime5Zone & | ,
|  | int | ,
|  | libmwaw::DebugStream & | f )

inline final virtual

try to parse a data

Reimplemented from RagTime5StructManager::DataParser.

Referenced by parseData().

## Member Data Documentation

## m_blockList

std::vector<Block> RagTime5TextInternal::BlockCellListParser::m_blockList

the list of block

Referenced by BlockCellListParser(), parseData(), and RagTime5Text::readTextCluster().

The documentation for this struct was generated from the following file:

- RagTime5Text.cxx